aboutsummaryrefslogtreecommitdiff
path: root/git-rebase--interactive.sh
diff options
context:
space:
mode:
authorShawn O. Pearce <spearce@spearce.org>2007-12-20 02:12:12 -0500
committerJunio C Hamano <gitster@pobox.com>2007-12-20 01:12:41 -0800
commit03270628ed61f56431658eacd335b8f2f8ecc05a (patch)
tree9667198d3ea05e03371ac965ba6daa8ac63e3eb4 /git-rebase--interactive.sh
parentfbcf1184026197128582369074201c490009b4eb (diff)
downloadgit-03270628ed61f56431658eacd335b8f2f8ecc05a.tar.gz
git-03270628ed61f56431658eacd335b8f2f8ecc05a.tar.xz
Reallow git-rebase --interactive --continue if commit is unnecessary
During git-rebase --interactive's --continue implementation we used to silently restart the rebase if the user had made the commit for us. This is common if the user stops to edit a commit and does so by amending it. My recent change to watch git-commit's exit status broke this behavior. Thanks to Bernt Hansen for catching it in 1.5.4-rc1. Signed-off-by: Shawn O. Pearce <spearce@spearce.org> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-rebase--interactive.sh')
-rwxr-xr-xgit-rebase--interactive.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/git-rebase--interactive.sh b/git-rebase--interactive.sh
index 47581ced5..090c3e514 100755
--- a/git-rebase--interactive.sh
+++ b/git-rebase--interactive.sh
@@ -372,8 +372,10 @@ do
test ! -f "$DOTEST"/amend || git reset --soft HEAD^
} &&
export GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_AUTHOR_DATE &&
- git commit --no-verify -F "$DOTEST"/message -e ||
+ if ! git commit --no-verify -F "$DOTEST"/message -e
+ then
die "Could not commit staged changes."
+ fi
require_clean_work_tree
do_rest